View Issue Details

IDProjectCategoryView StatusLast Update
0007188Anastasisauthentication methodspublic2022-03-10 04:20
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityurgentSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionGit master 
Target Version0.3.0Fixed in Version0.3.0 
Summary0007188: e-mail authentication fails with 404
DescriptionThe report is that the truth is not found, but I entered the correct code and the logs say that this one was indeed uploaded earlier:

 cat anastasis-httpd_4.log | grep PF3RAWD
2022-03-05T22:01:38.374863+0100 anastasis-httpd-134550(M3JDKSF9ZEMDG4H2Y67M90GY00) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G'
2022-03-05T22:01:38.374883+0100 anastasis-httpd-134550(M3JDKSF9ZEMDG4H2Y67M90GY00) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G'
2022-03-05T22:01:38.374895+0100 anastasis-httpd-134550(M3JDKSF9ZEMDG4H2Y67M90GY00) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G'
2022-03-05T22:01:38.375143+0100 anastasis-httpd-134550(M3JDKSF9ZEMDG4H2Y67M90GY00) INFO Request for `/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G' completed with HTTP status 204 (0)
2022-03-05T22:03:42.033804+0100 anastasis-httpd-134550(DDWJKV5CV2M1WH79PNCDW4EB6R) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/challenge'
2022-03-05T22:03:42.033881+0100 anastasis-httpd-134550(DDWJKV5CV2M1WH79PNCDW4EB6R) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/challenge'
2022-03-05T22:03:42.033893+0100 anastasis-httpd-134550(DDWJKV5CV2M1WH79PNCDW4EB6R) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/challenge'
2022-03-05T22:03:42.043441+0100 anastasis-httpd-134550(DDWJKV5CV2M1WH79PNCDW4EB6R) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/challenge'
2022-03-05T22:03:42.044379+0100 anastasis-httpd-134550(DDWJKV5CV2M1WH79PNCDW4EB6R) INFO Request for `/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/challenge' completed with HTTP status 200 (0)
2022-03-05T22:03:52.460822+0100 anastasis-httpd-134550(85DG2EHM8CY21Q8WDQZHXN7DKG) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:03:52.460905+0100 anastasis-httpd-134550(85DG2EHM8CY21Q8WDQZHXN7DKG) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:03:52.460919+0100 anastasis-httpd-134550(85DG2EHM8CY21Q8WDQZHXN7DKG) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:03:52.462260+0100 anastasis-httpd-134550(85DG2EHM8CY21Q8WDQZHXN7DKG) INFO Request for `/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve' completed with HTTP status 403 (0)
2022-03-05T22:04:03.427803+0100 anastasis-httpd-134550(SFMQNH0S44P0W104FETJ7J6MBR) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:04:03.427874+0100 anastasis-httpd-134550(SFMQNH0S44P0W104FETJ7J6MBR) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:04:03.427887+0100 anastasis-httpd-134550(SFMQNH0S44P0W104FETJ7J6MBR) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:04:03.429213+0100 anastasis-httpd-134550(SFMQNH0S44P0W104FETJ7J6MBR) INFO Request for `/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve' completed with HTTP status 403 (0)
2022-03-05T22:04:46.967498+0100 anastasis-httpd-134550(0QS1KPQFXJQDRDDEAS87T7A714) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:04:46.967569+0100 anastasis-httpd-134550(0QS1KPQFXJQDRDDEAS87T7A714) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:04:46.967583+0100 anastasis-httpd-134550(0QS1KPQFXJQDRDDEAS87T7A714) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:04:46.968770+0100 anastasis-httpd-134550(0QS1KPQFXJQDRDDEAS87T7A714) INFO Request for `/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve' completed with HTTP status 403 (0)
2022-03-05T22:05:02.759310+0100 anastasis-httpd-134550(G7N7W50XWA9V1PVYP1W89T1Y2W) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:05:02.759379+0100 anastasis-httpd-134550(G7N7W50XWA9V1PVYP1W89T1Y2W) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:05:02.759390+0100 anastasis-httpd-134550(G7N7W50XWA9V1PVYP1W89T1Y2W) INFO Handling request (POST) for URL '/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve'
2022-03-05T22:05:02.760071+0100 anastasis-httpd-134550(G7N7W50XWA9V1PVYP1W89T1Y2W) INFO Request for `/truth/PF3RAWD77KWTMD506QJNDFEWKKC2WHGKKE415NC48QRSSB2BB10G/solve' completed with HTTP status 404 (0)
Steps To ReproduceUsed the anastasis-gtk 'free' testing setup (testland) created a policy with all kinds of challenges, including an e-mail challenge. Then tried solving it.
TagsNo tags attached.

Activities

Christian Grothoff

2022-03-06 13:45

manager   ~0018768

Just tried to reproduce this, with just some more logging. Using only 2 key shares (1x e-mail) did not reproduce the problem. Very strange.

Christian Grothoff

2022-03-10 04:20

manager   ~0018787

Seems to have magically disappeared, possibly due to unrelated fixes.

Issue History

Date Modified Username Field Change
2022-03-05 22:11 Christian Grothoff New Issue
2022-03-05 22:11 Christian Grothoff Status new => assigned
2022-03-05 22:11 Christian Grothoff Assigned To => Christian Grothoff
2022-03-06 13:45 Christian Grothoff Note Added: 0018768
2022-03-10 04:20 Christian Grothoff Status assigned => resolved
2022-03-10 04:20 Christian Grothoff Resolution open => fixed
2022-03-10 04:20 Christian Grothoff Fixed in Version => 0.3.0
2022-03-10 04:20 Christian Grothoff Note Added: 0018787